MarkerInfo Class Reference
Collaboration diagram for MarkerInfo:
[legend]

## Public Member Functions

| MarkerInfo (String &string)
bool | AdjustFrequencies ()
String | GetAlleleLabel (int allele)
int | GetAlleleNumber (char label) const
int | GetAlleleNumber (const String &label) const
int | NewAllele (char label)
int | NewAllele (const String &label)
void | UpdateSerial ()
void | IndexAlleles ()
int | CountAlleles ()

## Static Public Member Functions

static int | ComparePosition (MarkerInfo **left, MarkerInfo **right)

## Public Attributes

int | chromosome
double | position
double | positionMale
double | positionFemale
Vector | freq
String | name
StringArray | alleleLabels
StringIntHash | alleleNumbers

## Detailed Description

Definition at line 29 of file PedigreeGlobals.h.

The documentation for this class was generated from the following files:

- general/PedigreeGlobals.h
- general/PedigreeGlobals.cpp